/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.GrupoCategoria;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

public class RenderGrupoCategoria implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		GrupoCategoria grupoCategoria = (GrupoCategoria) o;

		Listcell lc = new Listcell();

		lc = new Listcell(grupoCategoria.getGrupoCategoriaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(grupoCategoria.getDescGrupo());
		lc.setParent(lstm);

		lstm.setAttribute("data", grupoCategoria);
	}
}
